#define RADIO_LENGTH 17
#define VFOA 0
#define VFOB 1
struct radio_control_vars
{
  gint kbd_band_change;
  gint radio_split;
  gdouble radio_freq;
};
static struct radio_control_vars rcv = {.kbd_band_change = FALSE,
                                        .radio_split = 0};
struct split_freq_box_vars
{
  gint row1;
  gint cursor_col;
  gint col1;
  gint field_length;
  gchar field_line[8];
  guint key_handler_id;
  gint done;
};
typedef struct split_freq_box_vars SFBVars;
static void set_radio_port(gint set_rp);
static void change_radio_frequency(const gchar *new_freq, gint vfo);
static void change_radio_mode(gint vfo);
static gint process_frequency_command(const gchar *new_freq);
static gdouble convert_frequency(const gchar *new_freq);
static void read_radio_port(gint iadd);
static void change_radio_split(gint split);
static void split_freq_box(void);
static gint sfb_key_handler(GtkWidget *widget, GdkEventKey *event,
                            gpointer data);
static gint sfb_cursor(gpointer data);
static void radio_split_ind(gpointer widget, gint iadd);
